Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163318 - Gnu Ada compiler does not work
Summary: Gnu Ada compiler does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc34
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-15 01:14 UTC by Charles C. Van Tilburg
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-18 08:31:00 UTC


Attachments (Terms of Use)
hello.adb source file for convenience (deleted)
2005-07-15 01:14 UTC, Charles C. Van Tilburg
no flags Details

Description Charles C. Van Tilburg 2005-07-15 01:14:29 UTC
Description of problem:

Gnu Ada compiler does not work

Version-Release number of selected component (if applicable):

FC3 versions libgnat-3.4.3-22.fc3 and gcc-gnat-3.4.3-22.fc3

How reproducible:

gnatmake hello.adb

where hello.adb contains:

with Text_IO;

procedure Hello is
begin
        Text_IO.Put_Line("Hello world!");
end Hello;

Steps to Reproduce:
1. make hello.adb from above contents
2. gnatmake 
3.
  
Actual results:

[ctilburg@axp ~]$ gnatmake hello.adb
gcc -c hello.adb
+===========================GNAT BUG DETECTED==============================+
| 3.4.3 20050227 (Red Hat 3.4.3-22.fc3) (i386-redhat-linux-gnu)            |
| Storage_Error stack overflow (or erroneous memory access)                |
| Error detected at a-textio.ads:53:9                                      |
| Please submit a bug report; see http://gcc.gnu.org/bugs.html.            |
| Include the entire contents of this bug box in the report.               |
| Include the exact gcc or gnatmake command that you entered.              |
| Also include sources listed below in gnatchop format                     |
| (concatenated together with no headers between files).                   |
+==========================================================================+

Please include these source files with error report
Note that list may not be accurate in some cases, 
so please double check that the problem can still 
be reproduced with the set of files listed.

hello.adb

compilation abandoned
gnatmake: "hello.adb" compilation error


Expected results:

[ctilburg@lab ~]$ gnatmake hello.adb
gcc -c hello.adb
gnatbind -x hello.ali
gnatlink hello.ali

Additional info:

This works under FC4, but not FC3.  There may or may not be
something involving recent SELinux changes; see 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=161833

Comment 1 Charles C. Van Tilburg 2005-07-15 01:14:29 UTC
Created attachment 116783 [details]
hello.adb source file for convenience

Comment 2 Jakub Jelinek 2005-07-15 11:09:22 UTC
Works just fine here.  Do you get any audit messages from SELinux?

Comment 3 Charles C. Van Tilburg 2005-07-15 11:52:32 UTC
no

Comment 4 Charles C. Van Tilburg 2005-07-15 23:39:07 UTC
The problem was clearly the kernel.  

Upgrading from 2.6.11-1.35_FC3 to 2.6.12-1.1372_FC3, which just came 
over the network today, fixed this problem...

I find this troubling to discover given the reaction to the bug report
I got.

Also, IMHO, the new kernel splits out a '-devel' rpm that is not 
installed when one does an rpm -Fvh, even though, it should be since
this is a new split of functionality.

Comment 5 Charles C. Van Tilburg 2005-07-17 01:44:21 UTC
I have abandoned FC3 in favor of FC4


Note You need to log in before you can comment on or make changes to this bug.